// lib2d.h
#define SCREEN_WIDTH  (320)
#define SCREEN_HEIGHT (256)

// General stuff
void InitGraphics();
void RenderPrepare();
void RenderFinish();

// Sprite stuff
void SetSpriteInfo( GsSPRITE* pSprite, unsigned long pTexture, int x, int y );
void DrawSprite( GsSPRITE* pSprite, int nPriority );
typedef
	union
	{
		unsigned long LONG;
		struct
		{
			unsigned long res6:6;				//  0- 5
			unsigned long Brightness:1;         //  6
			unsigned long res17:17;             //  7-23
			unsigned long ClutMode:2;           // 24,25
			unsigned long res1:1;               // 26
			unsigned long Rotate:1;             // 27
			unsigned long TransparentRate:2;    // 28,29
			unsigned long TransparentMode:1;    // 30
			unsigned long Display:1;            // 31
		} FLAG;
} Attrib;
#define ON (0)
#define OFF (1)
#define TRANSPARENT (1)
#define OPAQUE (0)
